-- BEGIN COPYRIGHT
-- *******************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- Copyright IBM Corporation 2007, 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or 
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- *******************************************************************
-- END COPYRIGHT


-- *******************************************
-- Schema change from 6.0.2
-- *******************************************


-- *******************************************
-- create table space
-- *******************************************


--CREATE TABLESPACE RELTS0
--IN @DB_NAME@
-- USING STOGROUP @STOGRP@
 --DEFINE NO
 --SEGSIZE 32
 --LOCKSIZE ANY
 --BUFFERPOOL @BPTABLE4K@
 --CCSID UNICODE
 --;



-- *******************************************
-- create table RELN_METADATA_T and indexes
-- *******************************************


CREATE TABLE @SCHEMA@.RELN_METADATA_T
 (RELATIONSHIP_NAME VARCHAR(255) NOT NULL,
  VERSION VARCHAR(10) NOT NULL)
 IN @DB_NAME@.RELTS0;

CREATE UNIQUE INDEX @SCHEMA@.RMT_RELN_NAME_I 
 ON @SCHEMA@.RELN_METADATA_T (RELATIONSHIP_NAME)
 USING STOGROUP @STOGRP@
 DEFINE NO
 BUFFERPOOL @BPINDEX@ 
 NOT PADDED
 ;


-- *******************************************
-- create table RELN_VIEW_META_T and indexes
-- *******************************************


CREATE TABLE @SCHEMA@.RELN_VIEW_META_T 
 ( VIEW_NAME VARCHAR(255) NOT NULL,
   RELATIONSHIP_NAME VARCHAR(255) NOT NULL,
   ROLE_NAME VARCHAR(255) NOT NULL,
   VERSION VARCHAR(10) NOT NULL
 ) IN @DB_NAME@.RELTS0;
										
CREATE UNIQUE INDEX @SCHEMA@.RELN_VIEW_I
 ON @SCHEMA@.RELN_VIEW_META_T (RELATIONSHIP_NAME, ROLE_NAME)
 USING STOGROUP @STOGRP@
 DEFINE NO
 BUFFERPOOL @BPINDEX@
 NOT PADDED
 ;